Remove unnecessary check in simplCast
ClosedPublic

Authored by tdammers on Apr 5 2018, 4:39 AM.

Details

Summary

The coercion optimizer will take care of it anyway, and the check is
prohibitively expensive.

See Trac Trac #14737.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
tdammers created this revision.Apr 5 2018, 4:39 AM
simonpj added a subscriber: simonpj.Apr 5 2018, 5:12 AM

Do the same for pushCoValArg.

Does this patch (alone) have any perf impact?

Does this patch (alone) have any perf impact?

Yes, a rather big one. See Trac #14737: execution time for compiling Grammar.hs goes down from ~12s to ~8s.

tdammers updated this revision to Diff 15942.Apr 5 2018, 7:30 AM
  • Fix unintended Haddock
tdammers updated this revision to Diff 15981.Apr 9 2018, 1:06 PM
  • Bump perf test targets
tdammers updated this revision to Diff 16046.Apr 16 2018, 12:49 AM
  • Remove unnecessary check in simplCast
  • Fix unintended Haddock
  • Bump perf test targets
tdammers requested review of this revision.Apr 16 2018, 2:54 AM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 20 2018, 5:12 PM
This revision was automatically updated to reflect the committed changes.